Skip to main content
GET
/
liveai
/
rooms
/
{room_id}
Get room
curl --request GET \
  --url https://lemonslice.com/api/liveai/rooms/{room_id} \
  --header 'X-API-Key: <api-key>'
{
  "session_status": "QUEUED"
}

Authorizations

X-API-Key
string
header
required

Your LemonSlice API token.

Path Parameters

room_id
string
required

The ID of the room to retrieve.

Response

Room status retrieved successfully. Returns basic status for all states. When completed, includes additional metadata such as cost, timestamps, end reason, and conversation messages.

session_status
enum<string>
required

Current status of the session:

  • QUEUED: session is waiting for a GPU container. Typically completes in seconds when warm containers are available. If all warm containers are in use, a cold start is required which may take up to 2.5 minutes.
  • ACTIVE: agent is live.
  • COMPLETED: session ended successfully.
  • TIMED_OUT: GPU container timed out.
  • FAILED: session ended with an error.
Available options:
QUEUED,
ACTIVE,
COMPLETED,
TIMED_OUT,
FAILED
cost
integer

Number of credits used for this session. Only returned when session_status is COMPLETED.

llm_ended_reason
string

Reason the LLM session ended. Only returned when session_status is COMPLETED.

llm_started_at
integer

Unix timestamp when the LLM session started. Only returned when session_status is COMPLETED.

llm_ended_at
integer

Unix timestamp when the LLM session ended. Only returned when session_status is COMPLETED.

messages
object[]

Array of messages exchanged during the session. Only returned when session_status is COMPLETED.